﻿using System;
using System.Windows;
using System.Windows.Controls;
using UniversalEditor.Base;
using UniversalEditor.Base.FileSystem;

namespace UniversalEditor.Audio
{
    public class AudioEditor : EditorBase
    {
		private readonly Border _border;
		private readonly MediaElement _mediaElement;

	    public AudioEditor(IEditorOwner owner, FileWrapper file)
			: base(owner, file)
	    {
			_border = new Border();
			_mediaElement = new MediaElement();
			_mediaElement.Source = new Uri(_file.FilePath);

			_border.Child = _mediaElement;
	    }
		
		public override FrameworkElement EditorControl
		{
			get { return _border; }
		}

		public override void Dispose()
		{
			_mediaElement.Stop();
			_mediaElement.Close();

			base.Dispose();
		}

	    public override void Focus()
	    {
		    base.Focus();
	    }
    }
}
