﻿using System;
using System.Windows.Media;
using TextEditor;
using TextEditor.ScriptHighlight;
using UniversalEditor.Base;
using UniversalEditor.Base.FileSystem;

namespace UniversalEditor.CSharp
{
	public class CsharpEditor : TextEditorBase
	{
		public CsharpEditor(IEditorOwner owner, FileWrapper file)
			: base(owner, file, new Lazy<UfeTextBox>(() => new UfeTextBox(owner, CreateDocument(file))))
		{ }

		private static ScriptHighlightDocument CreateDocument(FileWrapper file)
		{
			ScriptHighlightInfo highlightInfo = new ScriptHighlightInfo();
			highlightInfo.CommentLine = "//";
			highlightInfo.Add(Brushes.Blue, "abstract as base break case catch checked continue default delegate do else event explicit extern partial false finally fixed for foreach goto if implicit in interface internal is lock namespace new null object operator out override params private protected public readonly ref return sealed sizeof stackalloc switch this throw true try typeof unchecked unsafe using virtual while");
			highlightInfo.Add(Brushes.Blue, "bool byte char class const decimal double enum float int long sbyte short static string struct uint ulong ushort void var");
			highlightInfo.Add(new SolidColorBrush(Color.FromRgb(43, 145, 175)), "AssemblyTitle AssemblyDescription AssemblyConfiguration AssemblyCompany AssemblyProduct AssemblyCopyright AssemblyTrademark AssemblyCulture ComVisible AssemblyVersion AssemblyFileVersion ThemeInfo");

			ScriptHighlightDocument result = new ScriptHighlightDocument(file, highlightInfo);
			return result;
		}

		public override void Focus()
		{
			_textBox.Value.TextBox.UpdateLayout();
			_textBox.Value.TextBox.Focus();
		}
	}
}
