﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Imaging;
using UniversalEditor.Base;
using UniversalEditor.Base.FileSystem;

namespace UniversalEditor.PlainImage
{
	public class PlainImageEditor : EditorBase
    {
		private readonly Border _border;
		private readonly Image _image;

		public PlainImageEditor(IEditorOwner owner, FileWrapper file)
			: base(owner, file)
		{
			_border = new Border();

			// initializing
			_image = new Image();
			_image.Source = new BitmapImage(new Uri(_file.FilePath));

			_border.Child = _image;
		}

		public override FrameworkElement EditorControl
		{
			get { return _border; }
		}

		public override void Focus()
		{
			base.Focus();
		}
    }
}
