﻿using System.Windows;
using System.Windows.Controls;
using UniversalEditor.Base;
using UniversalEditor.Base.FileSystem;
using UniversalEditor.Video.Viewer;

namespace UniversalEditor.Video
{
	public class VideoEditor : EditorBase
    {
		private readonly Border _border;
		private readonly VideoViewerView _media;

		public VideoEditor(IEditorOwner owner, FileWrapper file)
			: base(owner, file)
		{
			_border = new Border();

			_media = new VideoViewerView();
			_media.OpenFile(_file.FilePath);

			_border.Child = _media;
		}

		public override FrameworkElement EditorControl
		{
			get { return _border; }
		}

		public override void Focus()
		{
			base.Focus();
		}
    }
}
