﻿using UniversalEditor.Base;
using UniversalEditor.Base.FileSystem;
using UniversalEditor.PlainImage;
using UniversalEditor.PlainText;

namespace UniversalEditor.Formats
{
	internal class PlainImageFormat : IFormat
	{
		public string DisplayName { get { return "Plain Image"; } }

		public string Extension { get { return ".bmp|.jpg|.jpeg|.png"; } }

		public EditorBase CreateNewEditor(IEditorOwner owner, FileWrapper file)
		{
			return new PlainImageEditor(owner, file);
		}

		public byte EditorTypeId
		{
			get { return 11; }
		}
	}
}
