!include "MUI2.nsh"

Name "Universal File Editor"

OutFile "setup.exe"

InstallDir "$PROGRAMFILES\Universal File Editor"

RequestExecutionLevel admin

!define MUI_ABORTWARNING

!insertmacro MUI_PAGE_COMPONENTS
!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES
  
!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES

!insertmacro MUI_LANGUAGE "English"

VIProductVersion "0.3.26.3"
VIAddVersionKey "ProductName" "Universal File Editor"
VIAddVersionKey "FileDescription" "https://universaleditor.codeplex.com/"
VIAddVersionKey "FileVersion" "0.3.26.3"

Section

  SetOutPath $INSTDIR
  
  File ..\..\Release\UniversalEditor.exe
  File ..\..\Release\UniversalEditor.exe.config
  File ..\..\Release\UniversalEditor.Base.dll
  File ..\..\Release\UniversalEditor.Csv.dll
  File ..\..\Release\UniversalEditor.Bat.dll
  File ..\..\Release\UniversalEditor.Actionscript.dll
  File ..\..\Release\UniversalEditor.CSharp.dll
  File ..\..\Release\UniversalEditor.Java.dll
  File ..\..\Release\UniversalEditor.Nsis.dll
  File ..\..\Release\UniversalEditor.Audio.dll
  File ..\..\Release\UniversalEditor.Video.dll
  File ..\..\Release\UniversalEditor.PlainImage.dll
  File ..\..\Release\UniversalEditor.PlainText.dll
  File ..\..\Release\UniversalEditor.Pdf.dll
  File ..\..\Release\UniversalEditor.Icon.dll
  File ..\..\Release\UniversalEditor.Xml.dll
  File ..\..\Release\TextEditor.dll
  File ..\..\Release\Raccoom.Xml.dll
  File ..\..\Release\TextEditor.ScriptHighlight.dll
  File ..\..\Release\UniversalEditor.OpenXml.dll
  File ..\..\Release\DocumentFormat.OpenXml.dll
  File ..\..\Release\WPFPdfViewer.dll
  File ..\..\Release\AxInterop.AcroPDFLib.dll
  File ..\..\Release\Interop.AcroPDFLib.dll
  
  SetShellVarContext all  
  
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\UniversalFileEditor" "DisplayName" "Universal File Editor"  
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\UniversalFileEditor" "UninstallString" "$INSTDIR\uninstall.exe"  
  
  WriteUninstaller "uninstall.exe"
  
SectionEnd

Section "Start Menu Shortcuts"

  CreateDirectory "$SMPROGRAMS\Universal File Editor"
  CreateShortCut "$SMPROGRAMS\Universal File Editor\Universal File Editor.lnk" "$INSTDIR\UniversalEditor.exe"
  CreateShortCut "$SMPROGRAMS\Universal File Editor\Uninstall.lnk" "$INSTDIR\uninstall.exe"
  
  CreateShortCut "$DESKTOP\Universal File Editor.lnk" "$INSTDIR\UniversalEditor.exe"
  
SectionEnd

Section "Context Menu Integration"

  SetShellVarContext all  
  
  WriteRegStr HKCR "*\shell\UniversalFileEditor" "" "Universal File Editor"
  WriteRegStr HKCR "*\shell\UniversalFileEditor" "Icon" "$INSTDIR\UniversalEditor.exe"
  WriteRegStr HKCR "*\shell\UniversalFileEditor\command" "" '"$INSTDIR\UniversalEditor.exe" "%1"'
  
  
SectionEnd

Section "Uninstall"
  
  Delete $INSTDIR\*.*
  RMDir "$INSTDIR"

  Delete "$SMPROGRAMS\Universal File Editor\*.*"
  RMDir "$SMPROGRAMS\Universal File Editor\"
  
  Delete "$DESKTOP\Universal File Editor.lnk"

  SetShellVarContext all  
  DeleteRegKey HKLM Software\Microsoft\Windows\CurrentVersion\Uninstall\UniversalFileEditor
  DeleteRegKey HKCR *\shell\UniversalFileEditor
  
SectionEnd




