﻿using System;
using System.Text;
using System.Windows.Controls;

namespace UniversalEditor.Csv
{
    /// <summary>
    /// Interaction logic for TableContainer.xaml
    /// </summary>
    public partial class TableContainer
    {
        public TableContainer()
        {
            InitializeComponent();
        }

        private void OnLoadingRow(object sender, DataGridRowEventArgs e)
        {
            if (!e.Row.IsNewItem) e.Row.Header = (e.Row.GetIndex() + 1).ToString();
            else e.Row.Header = string.Empty;
        }

        private void DataGrid_CellEditEnding(object sender, DataGridCellEditEndingEventArgs e)
        {
            if (!IsLoaded) e.Row.Header = "1";
            else e.Row.Header = (e.Row.GetIndex() + 1).ToString();
        }

        private void dtGrid_ScrollChanged(object sender, ScrollChangedEventArgs e)
        {
            if (e.HorizontalChange != 0 & e.HorizontalChange > 0)
            {
                DataGridTextColumn col = new DataGridTextColumn();
                for (int i = 0; i < i_CsvDG.Columns.Count + 1; i++)
                {
                    if (i > 25)
                    {
                        int x = i % 26; int y = (i - 26) / 26;
                        char FLiteral = Convert.ToChar(y + Convert.ToInt32('A'));
                        char SLiteral = Convert.ToChar(x + Convert.ToInt32('A'));
                        col.Header = (y > 25 ? string.Empty : FLiteral.ToString() + SLiteral);
                        if (i < 27) { i_CsvDG.Columns.Add(col); }
                    }
                }
            }
        }

    }
}
