﻿using UniversalEditor._3d;
using UniversalEditor.Base;
using UniversalEditor.Base.FileSystem;
using UniversalEditor.Bat;

namespace UniversalEditor.Formats
{
	internal class DirectxFormat : IFormat
	{
		public string DisplayName { get { return "3D models"; } }

		public string Extension { get { return ".3ds|.objz|.obj"; } }

		public EditorBase CreateNewEditor(IEditorOwner owner, FileWrapper file)
		{
			return new DirectxEditor(owner, file);
		}

		public byte EditorTypeId
		{
			get { return 16; }
		}

		public bool IsChild(EditorBase editor)
		{
			return editor is DirectxEditor;
		}

		public bool IsReadonly
		{
			get { return true; }
		}
	}
}
